<?php

/**
 * 同布赌注表
 * User: ben
 */
class Sync_RedpackLog extends Sync_Base {
    protected $dbKey = 'dw_chat';
    protected $frequency = 1;
    protected $index = 4;

    protected $dataField = ['transfer_trx_id', 'player', 'quantity', 'status', 'update_time_int'];

    /**
     * 清除数据的时间间隔
     * @var int
     */
    protected $clearTtl = 600;
    protected $clearAction = 'clearlog';

    public function __construct() {
        parent::__construct('redpack_log', 'id', 'update_time_int', 'redpacklog');
    }

    protected function addNewRows($newRows) {
        parent::addNewRows($newRows);

        alermErrorMsg("redpack_log 不应该有新增数据, newRows:" . json_encode($newRows));
    }

    protected function updateRow($row, $priValue, $dbRow) {
        parent::updateRow($row, $priValue, $dbRow);
    }


}
